package com.ruoyi.invest.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.common.utils.uuid.IdUtils;
import com.ruoyi.invest.domain.TProjectContacts;
import com.ruoyi.invest.mapper.TProjectContactsMapper;
import com.ruoyi.invest.service.ITProjectContactsService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 项目联系人Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-02-22
 */
@Service
public class TProjectContactsServiceImpl implements ITProjectContactsService
{
    @Autowired
    private TProjectContactsMapper tProjectContactsMapper;

    /**
     * 查询项目联系人
     * 
     * @param id 项目联系人主键
     * @return 项目联系人
     */
    @Override
    public TProjectContacts selectTProjectContactsById(String id)
    {
        return tProjectContactsMapper.selectTProjectContactsById(id);
    }

    /**
     * 查询项目联系人列表
     * 
     * @param tProjectContacts 项目联系人
     * @return 项目联系人
     */
    @Override
    public List<TProjectContacts> selectTProjectContactsList(TProjectContacts tProjectContacts)
    {
        return tProjectContactsMapper.selectTProjectContactsList(tProjectContacts);
    }

    /**
     * 新增项目联系人
     * 
     * @param tProjectContacts 项目联系人
     * @return 结果
     */
    @Override
    public int insertTProjectContacts(TProjectContacts tProjectContacts)
    {
        tProjectContacts.setCreateTime(DateUtils.getNowDate());
        return tProjectContactsMapper.insertTProjectContacts(tProjectContacts);
    }

    /**
     * 修改项目联系人
     * 
     * @param tProjectContacts 项目联系人
     * @return 结果
     */
    @Override
    public int updateTProjectContacts(TProjectContacts tProjectContacts)
    {
        tProjectContacts.setUpdateTime(DateUtils.getNowDate());
        return tProjectContactsMapper.updateTProjectContacts(tProjectContacts);
    }

    /**
     * 批量删除项目联系人
     * 
     * @param ids 需要删除的项目联系人主键
     * @return 结果
     */
    @Override
    public int deleteTProjectContactsByIds(String[] ids)
    {
        return tProjectContactsMapper.deleteTProjectContactsByIds(ids);
    }

    /**
     * 删除项目联系人信息
     * 
     * @param id 项目联系人主键
     * @return 结果
     */
    @Override
    public int deleteTProjectContactsById(String id)
    {
        return tProjectContactsMapper.deleteTProjectContactsById(id);
    }

    /**
     * 批量删除项目联系人(修改del_flag状态)
     *
     * @param ids 需要删除的项目联系人主键
     * @return 结果
     */
    @Override
    public int updateTProjectContactsByIds(String[] ids) {
        return tProjectContactsMapper.updateTProjectContactsByIds(ids);
    }
}
